帝国CMS后台编辑器不兼容IE10浏览器的解决方法!(很简单)

  帝国CMS后台编辑器不兼容IE10浏览器的解决方法!(很简单)

  【方法如下】:

  默认的FCK2.3.6在IE10中会有这个错误:SCRIPT438: 对象不支持“selectSingleNode”属性或方法

  fckeditorcode_ie.js, 行52 字符1021,现己解决

  查看IE10的脚本错误信息:

  SCRIPT438: 对象不支持“selectSingleNode”属性或方法

  fckeditorcode_ie.js, 行52 字符1021

  文件路径:e/admin/ecmseditor/infoeditor/editor/js/fckeditorcode_ie.js

  然后找到52行代码

FCKXml.prototype={LoadUrl:function(A){this.Error=false;var B=FCKTools.CreateXmlObject('XmlHttp');if (!B){this.Error=true;return;};B.open("GET",A,false);B.send(null);

  在B.open("GET",A,false);和B.send(null);之间插入如下代码

try {B.responseType = "msxml-document";} catch (e){};

  OK,今天分享就到这里了,大家自行去测试吧!

© 版权声明
THE END
喜欢就支持以下吧
点赞0赞赏 分享
评论 抢沙发
头像
欢迎您留下宝贵的见解!
提交
头像

昵称

取消
昵称图片